#!/bin/bash
#setting firewall configure
systemctl start firewalld.service  && systemctl enable firewalld.service
firewall-cmd --permanent --add-port=19221/tcp
firewall-cmd --permanent --add-port=80/tcp
firewall-cmd --permanent --add-service=http
firewall-cmd --permanent --add-service=https
firewall-cmd --permanent --add-rich-rule="rule family="ipv4" source address="172.16.0.0/16" port protocol="tcp" port="1-65535" accept"
firewall-cmd --permanent --add-rich-rule="rule family="ipv4" source address="192.168.0.0/16" port protocol="tcp" port="1-65535" accept"
firewall-cmd --permanent --add-port=9527/tcp
firewall-cmd --reload
firewall-cmd --list-all